---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libsuspendthrd01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0xB60, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x23280, symBinAddr: 0x4050, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xE60, symBinAddr: 0x1050, symSize: 0x240 }
  - { offsetInCU: 0x4E7, offset: 0x4E7, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x233C0, symBinAddr: 0x4180, symSize: 0x0 }
  - { offsetInCU: 0x505, offset: 0x505, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x233C8, symBinAddr: 0x4188, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x233D0, symBinAddr: 0x4190, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x233D8, symBinAddr: 0x4198, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x233E0, symBinAddr: 0x41A0, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x233E8, symBinAddr: 0x41A8, symSize: 0x0 }
  - { offsetInCU: 0x9226, offset: 0x9226, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x23400, symBinAddr: 0x41C0, symSize: 0x0 }
  - { offsetInCU: 0x923F, offset: 0x923F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x233F8, symBinAddr: 0x41B8, symSize: 0x0 }
  - { offsetInCU: 0x92DA, offset: 0x92DA, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0xE80, symSize: 0x30 }
  - { offsetInCU: 0x95FE, offset: 0x95FE, size: 0x8, addend: 0x0, symName: __Z19find_thread_by_nameP9_jvmtiEnvP7JNIEnv_PKc, symObjAddr: 0xB80, symBinAddr: 0xEB0, symSize: 0x1A0 }
  - { offsetInCU: 0x9B55, offset: 0x9B55, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x10A0, symBinAddr: 0x1290, symSize: 0x70 }
  - { offsetInCU: 0x9C2E, offset: 0x9C2E, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0x1110, symBinAddr: 0x1300, symSize: 0x1A0 }
  - { offsetInCU: 0xA16D, offset: 0xA16D, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x12B0, symBinAddr: 0x14A0, symSize: 0x4F0 }
  - { offsetInCU: 0xAAA4, offset: 0xAAA4, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1D10, symBinAddr: 0x1F00, symSize: 0xB0 }
  - { offsetInCU: 0xAB1B, offset: 0xAB1B, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x17A0, symBinAddr: 0x1990, symSize: 0x1A0 }
  - { offsetInCU: 0xAEE6, offset: 0xAEE6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1940, symBinAddr: 0x1B30, symSize: 0xE0 }
  - { offsetInCU: 0xB15C, offset: 0xB15C, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1A20, symBinAddr: 0x1C10, symSize: 0x2E0 }
  - { offsetInCU: 0xB5E2, offset: 0xB5E2, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1DC0, symBinAddr: 0x1FB0, symSize: 0x60 }
  - { offsetInCU: 0xB698, offset: 0xB698, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x1E20, symBinAddr: 0x2010, symSize: 0x162 }
...
